Bug 1581652 - [RFE][AZURE] List of available regions available for subscription
Summary: [RFE][AZURE] List of available regions available for subscription
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: 5.10.0
Assignee: Daniel Berger
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard: azure:regions
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-23 10:04 UTC by Leo Khomenko
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Comment 3 Bronagh Sorota 2018-05-24 18:44:41 UTC
Hi Leo,
I am curious what is driving the request for : 

" 1)some regions have another names: UI 'South East Asia' vs cli 'Southeast Asia' "

thanks
Bronagh

Comment 4 Bronagh Sorota 2018-05-24 18:45:45 UTC
Hi Dan,
Looks like the list of supported regions needs to be updated.

Thanks
Bronagh

Comment 5 Daniel Berger 2018-05-24 21:03:37 UTC
Ok, I can update the regions.rb file to make sure the description matches what Azure returns.

As for the discrepancy, we used to use a slightly different approach to acquiring our list. Instead of querying for the locations directly, we would pull a list of providers and collate their supported regions.

In some ways that approach was better because, for example, France South is not actually supported by any of the current Azure providers. And, looking in the Azure portal, I can see France Central but no France South in the drop down menu when I try to provision a VM there.

In any case, I'll add those regions and update the descriptions to match.

Comment 7 Daniel Berger 2018-05-24 21:16:24 UTC
Leo, also wanted to mention that the German regions are only available in a German environment profile. In other words, given the right credentials, those regions do work.

But, since the list is fixed and not dynamic (atm) we can't filter those out, so the users get everything.

Comment 11 Ievgen Zapolskyi 2018-10-05 15:53:00 UTC
in 5.10.0.17. All regions except Germany ones are available for our subscription.

Comment 12 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.